import WalletConnect from "@walletconnect/legacy-client";
import { ADAPTER_CATEGORY_TYPE, ADAPTER_STATUS_TYPE, AdapterInitOptions, AdapterNamespaceType, ChainNamespaceType, CustomChainConfig, SafeEventEmitterProvider, UserInfo, WalletConnectV1Data } from "@web3auth/base";
import { BaseEvmAdapter } from "@web3auth/base-evm-adapter";
import { WalletConnectV1AdapterOptions } from "./interface";
declare class WalletConnectV1Adapter extends BaseEvmAdapter<void> {
    readonly name: string;
    readonly adapterNamespace: AdapterNamespaceType;
    readonly currentChainNamespace: ChainNamespaceType;
    readonly type: ADAPTER_CATEGORY_TYPE;
    readonly adapterOptions: WalletConnectV1AdapterOptions;
    status: ADAPTER_STATUS_TYPE;
    adapterData: WalletConnectV1Data;
    connector: WalletConnect | null;
    private wcProvider;
    constructor(options?: WalletConnectV1AdapterOptions);
    get connected(): boolean;
    get provider(): SafeEventEmitterProvider | null;
    set provider(_: SafeEventEmitterProvider | null);
    init(options?: AdapterInitOptions): Promise<void>;
    connect(): Promise<SafeEventEmitterProvider | null>;
    getUserInfo(): Promise<Partial<UserInfo>>;
    disconnect(options?: {
        cleanup: boolean;
    }): Promise<void>;
    addChain(chainConfig: CustomChainConfig, init?: boolean): Promise<void>;
    switchChain(params: {
        chainId: string;
    }, init?: boolean): Promise<void>;
    private _switchChain;
    private createNewSession;
    private onConnectHandler;
    private subscribeEvents;
    private getWalletConnectInstance;
}
export { WalletConnectV1Adapter };
